Subject: [Thuban-list] Some bugs on Mac OS X

From: Lorenzo Moretti <[email-masked]>
Date: Fri, 17 Dec 2004 12:00:38 +0100

I have built a Thuban for Mac OS X under Aqua 
(not Darwin) but there are some bugs.

- The bar (zoom in, zoom  out, etc) is missing 
(see the map above): I can only select these 
features from Map Menu (Mappa in Italian);

- if I select Info from Help menu (Aiuto in Italian) I have this error
Si è verificata una eccezione non prevista:
encode() argument 1 must be string, not None
(per piacere segnala l'errore a http://thuban.intevation.org/bugtracker.html)

Traceback (most recent call last):
   File 
"/usr/local/lib/thuban/Thuban/UI/mainwindow.py", 
line 284, in invoke_command
     command.Execute(self.Context())
   File "/usr/local/lib/thuban/Thuban/UI/command.py", line 121, in Execute
     apply(self.function, (context,) + self.args + args, kw)
   File 
"/usr/local/lib/thuban/Thuban/UI/mainwindow.py", 
line 1002, in call_method
     apply(getattr(context.mainwindow, methodname), args)
   File "/usr/local/lib/thuban/Thuban/UI/mainwindow.py", line 479, in About
     dlg = About(self)
   File "/usr/local/lib/thuban/Thuban/UI/about.py", line 40, in __init__
     developers = [ 'Jonathan Coles',
   File "/usr/local/lib/thuban/Thuban/UI/about.py", line 169, in unicodeToLocale
     return unicodeStr.encode(getlocale()[1])
TypeError: encode() argument 1 must be string, not None

- ImportAPR - this features is very good but I 
have many bugs in different apr. Example: I 
import project.apr and the first window is 
"Import APR - 3775 pbject loaded". I select OK 
and often I have this error:
Si è verificata una eccezione non prevista:
ODBBaseObject instance has no attribute 'GetThubanProp'
(per piacere segnala l'errore a http://thuban.intevation.org/bugtracker.html)

Traceback (most recent call last):
   File 
"/usr/local/lib/thuban/Thuban/UI/mainwindow.py", 
line 284, in invoke_command
     command.Execute(self.Context())
   File "/usr/local/lib/thuban/Thuban/UI/command.py", line 121, in Execute
     apply(self.function, (context,) + self.args + args, kw)
   File "/Users/ben/.thuban/importAPR.py", line 265, in import_apr_dialog
     prop = symbol.GetThubanProp()
AttributeError: ODBBaseObject instance has no attribute 'GetThubanProp'

Sometimes Thuban imports many maps (.shp) but it 
does not create thematic colored map like 
original apr file.

--------------------
Raster from GDAL
The external color for raster is black in OS X 
and it's not good for viewing or for printing.

Printing from Thuban.
The printing quality or PDF quality in Mac OS X 
is very poor. The lines are big like a screenshot.
Is this a OS X problem or Thuban with Wx problem?

PRO for Thuban
---------------
It's very very fast in OS X for raster and vector formats.

TIA

Great work
-- 
________________________________________________________________________
||      Lorenzo Moretti        e-mail: [email-masked]     
||/|/|  ENEA prot/idr          Web: http://wwwamb.bologna.enea.it/    
||   |  via Don Fiammelli, 2   FTP: ftp://ftpamb.bologna.enea.it/ (res.)
~~~~~~  40128 BOLOGNA - ITALY  Ph: +39-0516098086  Fax: +39-0516098131
			Download GRASS for MAC OS X:    
	           http://wwwamb.bologna.enea.it/forgrass/
________________________________________________________________________